# Shell colors
cat $CWD/shell-colors > $PKG/etc/shell-colors

# POLKIT COOKING #########"""
# Policykit header
mkdir -p $PKG/usr/share/polkit-1/actions
cat << EOS > $PKG/usr/share/polkit-1/actions/org.freedesktop.policykit.pkexec.$NAME.policy
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE policyconfig PUBLIC
 "-//freedesktop//DTD PolicyKit Policy Configuration 1.0//EN"
 "http://www.freedesktop.org/standards/PolicyKit/1/policyconfig.dtd">
<policyconfig>

EOS

# Policykit corpus
for tool in userconfig ; do

(

cat << EOS >> $PKG/usr/share/polkit-1/actions/org.freedesktop.policykit.pkexec.$NAME.policy
  
  <action id="org.freedesktop.policykit.pkexec.run-$tool">
  <description>Run $tool</description>
  <message>Root authentication is required to run $tool</message>
  <icon_name>zenwalk</icon_name>
  <defaults>
  <allow_any>no</allow_any>
  <allow_inactive>no</allow_inactive>
  <allow_active>auth_admin_keep</allow_active>
  </defaults>
  <annotate key="org.freedesktop.policykit.exec.path">/usr/sbin/$tool</annotate>
  <annotate key="org.freedesktop.policykit.exec.allow_gui">TRUE</annotate>
  </action>

EOS

)

done

for tool in chpasswd ; do

(

cat << EOS >> $PKG/usr/share/polkit-1/actions/org.freedesktop.policykit.pkexec.$NAME.policy
  
  <action id="org.freedesktop.policykit.pkexec.run-$tool">
  <description>Run $tool</description>
  <message>User authentication required to run $tool</message>
  <icon_name>zenwalk</icon_name>
  <defaults>
  <allow_any>no</allow_any>
  <allow_inactive>no</allow_inactive>
  <allow_active>auth_self_keep</allow_active>
  </defaults>
  <annotate key="org.freedesktop.policykit.exec.path">/usr/sbin/$tool</annotate>
  <annotate key="org.freedesktop.policykit.exec.allow_gui">TRUE</annotate>
  </action>

EOS

)

done

for tool in keyboardconfig clockconfig hostconfig serviceconfig cpufreqconfig ; do

(

cat << EOS >> $PKG/usr/share/polkit-1/actions/org.freedesktop.policykit.pkexec.$NAME.policy
  
  <action id="org.freedesktop.policykit.pkexec.run-$tool">
  <description>Run $tool</description>
  <message>Run $tool as root</message>
  <icon_name>zenwalk</icon_name>
  <defaults>
  <allow_any>no</allow_any>
  <allow_inactive>no</allow_inactive>
  <allow_active>yes</allow_active>
  </defaults>
  <annotate key="org.freedesktop.policykit.exec.path">/usr/sbin/$tool</annotate>
  <annotate key="org.freedesktop.policykit.exec.allow_gui">TRUE</annotate>
  </action>

EOS

)

done

# Policykit footer
mkdir -p $PKG/usr/share/polkit-1/actions
cat << EOS >> $PKG/usr/share/polkit-1/actions/org.freedesktop.policykit.pkexec.$NAME.policy

</policyconfig>

EOS

# Striptease
( cd ${PKG}
echo -e "${BOLDCYAN}Striping binaries${COLOR_RESET}"
	find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
	find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
echo -e "${BOLDCYAN}Removing .la files from ${PKG}${LIBINSTALLDIR} ${COLOR_RESET}"	
	find . -name *.la | xargs rm -f 
echo -e "${BOLDCYAN}Installing man pages if any ${COLOR_RESET}"
	for mandir in $(find .${PREFIX}/share/man -name man* -type d) ; do
		mkdir -p .${PREFIX}/man/$(basename $mandir)
		mv $mandir/*.? .${PREFIX}/man/$(basename $mandir)
	done	  
	rm -rf .${PREFIX}/share/man
	for mandir in $(find . -name man -type d) ; do
		if [ -d $mandir ]; then
			( cd $mandir
				find . -type f -name "*.?" -exec gzip -9 {} \;
			)
		fi
	done
)

# Some third party tools need to show in panel
cp $CWD/*.desktop $PKG/usr/share/applications/

# Myself
cat $ME > $PKG/usr/bin/SlackBuild
chmod 755 $PKG/usr/bin/SlackBuild
